package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/20 0020 9:59
 */
public class NewOrderDTO {

    /**
     * 订单号
     */
    private String orderNo;


    /**
     * 状态
     */
    private Integer status;

    /**
     * 支付状态
     */
    private String payStatus;


    /**
     * 更新时间
     */
    private Date updatedAt;


    /**
     * 订单完成时间
     */
    private Date completedAt;

    /**
     * 库
     */
    private Integer tbIndex;

    /**
     * 表
     */
    private Integer dbIndex;

    /**
     * 用户id
     */
    private Long userId;


    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCompletedAt() {
        return completedAt;
    }

    public void setCompletedAt(Date completedAt) {
        this.completedAt = completedAt;
    }

    public Integer getTbIndex() {
        return tbIndex;
    }

    public void setTbIndex(Integer tbIndex) {
        this.tbIndex = tbIndex;
    }

    public Integer getDbIndex() {
        return dbIndex;
    }

    public void setDbIndex(Integer dbIndex) {
        this.dbIndex = dbIndex;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }


}
